## s3scanner 3.0.0

=== Makefile ===
APP          := s3scanner
DOCKER_IMAGE := hothamandcheese/s3scanner
VERSION      := $(shell git describe --tags --abbrev=0)
COMMIT       := $(shell git rev-parse --short HEAD)
BUILD_DATE   := `date +%FT%T%z`

dev:
	docker compose -f .dev/docker-compose.yml up -d

docker-image:
	docker build -t $(DOCKER_IMAGE):$(VERSION) -f packaging/docker/Dockerfile .

test:
	go test ./...

test-integration:
	TEST_DB=1 TEST_MQ=1 go test ./...

=== debian/changelog ===
s3scanner (3.0.0-0kali2) kali-dev; urgency=medium

  * Remove test using network

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Aug 2023 17:38:11 +0200

s3scanner (3.0.0-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * Remove invalid upstream metadata

  [ Kali Janitor ]
  * Set upstream metadata fields: Repository-Browse.
  * Set upstream metadata fields: Repository.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.2, no changes needed.

  [ Sophie Brun ]
  * New upstream version 3.0.0
  * Update packaging for re-written tool in go
  * Update autopkgtest

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 09 Aug 2023 16:32:43 +0200

s3scanner (2.0.2-0kali1) kali-dev; urgency=medium

  * New upstream release
  * Refresh patch

 -- Steev Klimaszewski <steev@kali.org>  Thu, 27 Oct 2022 12:28:13 -0500

s3scanner (2.0.1-0kali1) kali-dev; urgency=medium

  * Initial release (see 4611)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 19 Aug 2021 11:37:30 +0200

=== debian/control ===
Source: s3scanner
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               dh-sequence-golang,
               golang-any,
               golang-github-aws-aws-sdk-go-v2-dev,
               golang-github-dustin-go-humanize-dev,
               golang-github-jackc-pgpassfile-dev,
               golang-github-jackc-pgservicefile-dev,
               golang-github-jinzhu-gorm-dev,
               golang-github-jinzhu-now-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-viper-dev,
               golang-github-streadway-amqp-dev
Standards-Version: 4.6.2
Homepage: https://github.com/sa7mon/s3scanner
Vcs-Browser: https://gitlab.com/kalilinux/packages/s3scanner
Vcs-Git: https://gitlab.com/kalilinux/packages/s3scanner.git
XS-Go-Import-Path: github.com/sa7mon/s3scanner
Testsuite: autopkgtest-pkg-go

Package: s3scanner
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: tool to find open S3 buckets and dump their contents
 This package contains a tool to find open S3 buckets and dump their contents.
 The features are:
   * zap Multi-threaded scanning
   * telescope Supports tons of S3-compatible APIs
   * female_detective Scans all bucket permissions to find misconfigurations
   * floppy_disk Dump bucket contents to a local folder
   * whale Docker support

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
#export GO111MODULE=on
export DH_GOLANG_BUILDPKG=github.com/sa7mon/s3scanner

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_after_dh_auto_configure:
	cp -av debian/vendor/ _build/src

=== debian/tests/control ===
Test-Command: s3scanner --help
Restrictions: superficial, allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%s3scanner-$1.tar.gz%" \
   https://github.com/sa7mon/S3Scanner/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
